package com.kingdee.eas.custom.facade.passports;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.facade.passports.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class PassportsFacde extends AbstractBizCtrl implements IPassportsFacde
{
    public PassportsFacde()
    {
        super();
        registerInterface(IPassportsFacde.class, this);
    }
    public PassportsFacde(Context ctx)
    {
        super(ctx);
        registerInterface(IPassportsFacde.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("982CE251");
    }
    private PassportsFacdeController getController() throws BOSException
    {
        return (PassportsFacdeController)getBizController();
    }
    /**
     *»¤ÕÕºÅºÍ¹¤×÷ÓÊÏä-User defined method
     */
    public void allPersonEmail() throws BOSException
    {
        try {
            getController().allPersonEmail(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}